﻿.bearings-calc {
  overflow: hidden;

  .card-promo__text {
    padding: 3.5rem 24px;
  }
}
.graphimage-wrapper {
  overflow-x: auto; /* Enable horizontal scrolling */
  -webkit-overflow-scrolling: touch; /* Smooth scrolling for iOS */
  width: 100%;
  max-width: 555px;
  margin: 0 auto;
}

.calc-error:not(:empty){
  background: red;
  text-align: center;
  margin-top: 24px;
  padding: 12px;
}


#graphimage {
  position: relative;
  width: 555px;
  height: 391px;
  background: #fff url('/assets/img/calc-graph-resized.jpg') no-repeat center center;
}

#calcspot {
  position: absolute;
  top: 323px;
  left: 56px;
  height: 7px;
  width: 7px;
}

.input {
  padding: 6px 0 12px 0;
}

.input input {
  width: 75px;
  color: #1a2d44;
  margin-right: 5px;
}

.calc-center {
  text-transform: uppercase;
  padding-bottom: 12px;
}

.calc-button {
  padding-top: 24px;
}

.calc-label {
  padding-top: 36px;
}

.label {
  margin: 0;
  font-size: 16px;
}

.label-result {
  padding-bottom: 12px;
}

@media (min-width: 374px) {
  .calc-center {
    grid-column: span 2;
    text-align: center;
  }
  .calc-row {
    display: grid;
    gap: 12px;
    grid-template-columns: 55% 45%;
    align-items: center;
  }
  .label {
    text-align: right;
  }
  .input {
    padding: 3px 0;
  }
    .label-result { padding: 0;}
}
